<?php
$tdataqtr_name=array();
	$tdataqtr_name[".NumberOfChars"]=80; 
	$tdataqtr_name[".ShortName"]="qtr_name";
	$tdataqtr_name[".OwnerID"]="";
	$tdataqtr_name[".OriginalTable"]="qtr_name";


	
//	field labels
$fieldLabelsqtr_name = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsqtr_name["English"]=array();
	$fieldToolTipsqtr_name["English"]=array();
	$fieldLabelsqtr_name["English"]["QTR"] = "QTR";
	$fieldToolTipsqtr_name["English"]["QTR"] = "";
	if (count($fieldToolTipsqtr_name["English"])){
		$tdataqtr_name[".isUseToolTips"]=true;
	}
}


	
	$tdataqtr_name[".NCSearch"]=true;

	

$tdataqtr_name[".shortTableName"] = "qtr_name";
$tdataqtr_name[".nSecOptions"] = 0;
$tdataqtr_name[".recsPerRowList"] = 1;	
$tdataqtr_name[".tableGroupBy"] = "0";
$tdataqtr_name[".mainTableOwnerID"] = "";
$tdataqtr_name[".moveNext"] = 1;




$tdataqtr_name[".showAddInPopup"] = false;

$tdataqtr_name[".showEditInPopup"] = false;

$tdataqtr_name[".showViewInPopup"] = false;


$tdataqtr_name[".fieldsForRegister"] = array();

$tdataqtr_name[".listAjax"] = false;

	$tdataqtr_name[".audit"] = false;

	$tdataqtr_name[".locking"] = false;
	
$tdataqtr_name[".listIcons"] = true;




$tdataqtr_name[".showSimpleSearchOptions"] = false;

$tdataqtr_name[".showSearchPanel"] = true;


$tdataqtr_name[".isUseAjaxSuggest"] = true;

$tdataqtr_name[".rowHighlite"] = true;


// button handlers file names

$tdataqtr_name[".addPageEvents"] = false;


// use datepicker for search panel
$tdataqtr_name[".isUseCalendarForSearch"] = false;

// use timepicker for search panel
$tdataqtr_name[".isUseTimeForSearch"] = false;

$tdataqtr_name[".isUseiBox"] = false;




$tdataqtr_name[".isUseInlineJs"] = $tdataqtr_name[".isUseInlineAdd"] || $tdataqtr_name[".isUseInlineEdit"];

$tdataqtr_name[".allSearchFields"] = array();

$tdataqtr_name[".globSearchFields"][] = "QTR";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("QTR", $tdataqtr_name[".allSearchFields"]))
{
	$tdataqtr_name[".allSearchFields"][] = "QTR";	
}


$tdataqtr_name[".googleLikeFields"][] = "QTR";



$tdataqtr_name[".advSearchFields"][] = "QTR";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("QTR", $tdataqtr_name[".allSearchFields"])) 
{
	$tdataqtr_name[".allSearchFields"][] = "QTR";	
}

$tdataqtr_name[".isTableType"] = "list";


	

$tdataqtr_name[".isDisplayLoading"] = true;

$tdataqtr_name[".isResizeColumns"] = false;





$tdataqtr_name[".pageSize"] = 20;

$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataqtr_name[".strOrderBy"] = $gstrOrderBy;
	
$tdataqtr_name[".orderindexes"] = array();

$tdataqtr_name[".sqlHead"] = "SELECT QTR";
$tdataqtr_name[".sqlFrom"] = "FROM qtr_name";
$tdataqtr_name[".sqlWhereExpr"] = "";
$tdataqtr_name[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataqtr_name[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataqtr_name[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataqtr_name[".Keys"] = $tableKeys;

//	QTR
	$fdata = array();
	$fdata["strName"] = "QTR";
	$fdata["ownerTable"] = "qtr_name";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "QTR";
	
		$fdata["FullName"]= "QTR";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataqtr_name["QTR"]=$fdata;

	
$tables_data["qtr_name"]=&$tdataqtr_name;
$field_labels["qtr_name"] = &$fieldLabelsqtr_name;
$fieldToolTips["qtr_name"] = &$fieldToolTipsqtr_name;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["qtr_name"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["qtr_name"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto346=array();
$proto346["m_strHead"] = "SELECT";
$proto346["m_strFieldList"] = "QTR";
$proto346["m_strFrom"] = "FROM qtr_name";
$proto346["m_strWhere"] = "";
$proto346["m_strOrderBy"] = "";
$proto346["m_strTail"] = "";
$proto347=array();
$proto347["m_sql"] = "";
$proto347["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto347["m_column"]=$obj;
$proto347["m_contained"] = array();
$proto347["m_strCase"] = "";
$proto347["m_havingmode"] = "0";
$proto347["m_inBrackets"] = "0";
$proto347["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto347);

$proto346["m_where"] = $obj;
$proto349=array();
$proto349["m_sql"] = "";
$proto349["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto349["m_column"]=$obj;
$proto349["m_contained"] = array();
$proto349["m_strCase"] = "";
$proto349["m_havingmode"] = "0";
$proto349["m_inBrackets"] = "0";
$proto349["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto349);

$proto346["m_having"] = $obj;
$proto346["m_fieldlist"] = array();
						$proto351=array();
			$obj = new SQLField(array(
	"m_strName" => "QTR",
	"m_strTable" => "qtr_name"
));

$proto351["m_expr"]=$obj;
$proto351["m_alias"] = "";
$obj = new SQLFieldListItem($proto351);

$proto346["m_fieldlist"][]=$obj;
$proto346["m_fromlist"] = array();
												$proto353=array();
$proto353["m_link"] = "SQLL_MAIN";
			$proto354=array();
$proto354["m_strName"] = "qtr_name";
$proto354["m_columns"] = array();
$proto354["m_columns"][] = "QTR";
$obj = new SQLTable($proto354);

$proto353["m_table"] = $obj;
$proto353["m_alias"] = "";
$proto355=array();
$proto355["m_sql"] = "";
$proto355["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto355["m_column"]=$obj;
$proto355["m_contained"] = array();
$proto355["m_strCase"] = "";
$proto355["m_havingmode"] = "0";
$proto355["m_inBrackets"] = "0";
$proto355["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto355);

$proto353["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto353);

$proto346["m_fromlist"][]=$obj;
$proto346["m_groupby"] = array();
$proto346["m_orderby"] = array();
$obj = new SQLQuery($proto346);

$queryData_qtr_name = $obj;
$tdataqtr_name[".sqlquery"] = $queryData_qtr_name;

$tableEvents["qtr_name"] = new eventsBase;

?>
